﻿using System.Text.Json.Serialization;

namespace SocialPub.Models.ActivityPub
{
	[JsonSerializable(typeof(ActivityPubTombstone))]
	public class ActivityPubTombstone : ActivityPubObject
	{
		[JsonPropertyName("formerType")]
		public ObjectType FormerType { get; set; } = ObjectType.Unknown;

		[JsonPropertyName("deleted")]
		public DateTime Deleted { get; set; } = DateTime.UtcNow;
	}
}
